onEvent('recipes', event => {

    const ie_metals = ['copper', 'aluminum', 'lead', 'silver', 'nickel', 'constantan', 'electrum', 'steel', 'iron', 'gold', 'uranium', 'stainless_steel', 'fluix_steel'];

    ie_metals.forEach(ie_metal => {

        var sheetmetal = itemOf(`#forge:sheetmetals/${ie_metal}`);
        var plate = itemOf(`#forge:plates/${ie_metal}`);
        var rod = itemOf(`#forge:rods/${ie_metal}`);

        event.shaped(sheetmetal, 
            [
                'RSS',
                'S S',
                'SSR'
            ], 
            {
                S: plate,
                R: rod
            }
        ).id(`immersiveengineering:kubejs/crafting/sheetmetal_${ie_metal}`);

        event.recipes.immersiveengineering.metal_press(
            sheetmetal, Item.of(plate, 4), 'immersiveengineering:mold_packing_4'
        ).id(`immersiveengineering:kubejs/metal_press/sheetmetal_${ie_metal}`);
    })
    

})